WNLIT(3)

SYNOPSIS
SUBROUTINE WNLIT (W, MDW, M, N, L, IPIVOT, ITYPE, H, SCALE, RNORM, + IDOPE, DOPE, DONE)

NAME
wnlit - Subsidiary to WNNLS

LIBRARY
SLATEC

TYPE
SINGLE PRECISION (WNLIT-S, DWNLIT-D)

AUTHOR
Hanson, R. J., (SNLA) Haskell, K. H., (SNLA)

DESCRIPTION
This is a companion subprogram to WNNLS( ). The documentation for WNNLS( ) has complete usage instructions. Note The M by (N+1) matrix W( , ) contains the rt. hand side B as the (N+1)st col. Triangularize L1 by L1 subsystem, where L1=MIN(M,L), with col interchanges.

SEE ALSO
WNNLS

ROUTINES CALLED
H12, ISAMAX, SCOPY, SROTM, SROTMG, SSCAL, SSWAP, WNLT1, WNLT2, WNLT3

REVISION HISTORY (YYMMDD)
790701 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
890618 Completely restructured and revised. (WRB & RWC)
890620 Revised to make WNLT1, WNLT2, and WNLT3 subroutines. (RWC)
891214 Prologue converted to Version 4.0 format. (BAB)
900328 Added TYPE section. (WRB)